Subject: Re: Interesting Topic: What's your favorite thing to eat?

From: [email-masked] (Donald Welsh)
Date: Tue, 31 Oct 2000 13:14:46 GMT

On 28 Oct 2000 21:08:47 GMT, "Robert R. Schneck" <[email-masked]> wrote:

>ManderRed <[email-masked]> said:
>>What's your favorite thing to eat? 

>Rings of increase damage.  

>Oh, yes: minor bug.  No message when you gain intrinsic increase damage
>from eating a ring.

I don't know if I'd call this omission a bug; it may be the intended
behavior.  Other rings and amulets give no message when eaten, other
than the one about magical energies.

>Another thing I like eating is rings of protection from shape
>changers.  I'd (almost) never waste a ring finger on one, but it's
>kind of a neat intrinsic to have.

Patch follows to add messages for ring of protection from shape
changers, ring of increase accuracy, and ring of increase damage.

I'm willing to extend this patch, but I don't want to generate an
exhaustive list at the moment.

*** eat.c.old	Wed Sep  6 11:49:08 2000
--- eat.c	Tue Oct 31 23:21:58 2000
***************
*** 1433,1438 ****
--- 1433,1442 ----
  		    break;
  		  case RIN_PROTECTION_FROM_SHAPE_CHAN:
  		    rescham();
+ 		    if (Hallucination)
+ 			You_feel("that your eyes can deceive you.");
+ 		    else
+ 			You_feel("that things are what they seem.");
  		    break;
  		  case RIN_LEVITATION:
  		    if (!Levitation) {
***************
*** 1457,1465 ****
--- 1461,1473 ----
  		break;
  	    case RIN_INCREASE_ACCURACY:
  		u.uhitinc += otmp->spe;
+ 		if (otmp->spe != 0)
+ 		    You_feel("%s accurate!", (otmp->spe > 0 ? "more" : "less"));
  		break;
  	    case RIN_INCREASE_DAMAGE:
  		u.udaminc += otmp->spe;
+ 		if (otmp->spe != 0)
+ 		    You_feel("%s dangerous!", (otmp->spe > 0 ? "more" : "less"));
  		break;
  	    case RIN_PROTECTION:
  		HProtection |= FROMOUTSIDE;
***************
*** 1485,1491 ****
  	    case AMULET_OF_RESTFUL_SLEEP: /* another bad idea! */
  		HSleeping = FROMOUTSIDE | rnd(100);
  		break;
! 		case RIN_SUSTAIN_ABILITY:
  	    case AMULET_OF_LIFE_SAVING:
  	    case AMULET_OF_REFLECTION: /* nice try */
  	    /* can't eat Amulet of Yendor or fakes,
--- 1493,1499 ----
  	    case AMULET_OF_RESTFUL_SLEEP: /* another bad idea! */
  		HSleeping = FROMOUTSIDE | rnd(100);
  		break;
! 	    case RIN_SUSTAIN_ABILITY:
  	    case AMULET_OF_LIFE_SAVING:
  	    case AMULET_OF_REFLECTION: /* nice try */
  	    /* can't eat Amulet of Yendor or fakes,